> For the complete documentation index, see [llms.txt](https://docs.tradevest.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tradevest.ai/api-reference/websocket-tokenized-prices/websocket-tokenized-prices.md).

# Websocket Tokenized Prices

## Get Tokenized Prices

> Get tokenized asset prices from websocket.\
> \
> This endpoint will return tokenized asset prices from websocket.

```json
{"openapi":"3.0.1","info":{"title":"Websocket Tokenized Prices","version":"1.0"},"tags":[{"name":"Tokenized Prices","description":"Tokenized Prices"}],"servers":[{"url":"https://tokenized-prices-provider.platform-test.tradevest.ai","description":"Test"},{"url":"https://tokenized-prices-provider.platform-pretest.tradevest.ai","description":"Pretest"}],"paths":{"/websocket/prices":{"get":{"summary":"Get Tokenized Prices","operationId":"websocket-get-tokenized-prices","description":"Get tokenized asset prices from websocket.\n\nThis endpoint will return tokenized asset prices from websocket.","tags":["Tokenized Prices"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebSocketRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebSocketResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebSocketResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}},"components":{"schemas":{"WebSocketRequest":{"title":"WebSocket Request","type":"object","required":["type"],"properties":{"type":{"$ref":"#/components/schemas/WebSocketRequestTypesEnum"},"priceSubscription":{"$ref":"#/components/schemas/WebSocketRequestPriceSubscription"}}},"WebSocketRequestTypesEnum":{"title":"WebSocket Request Types","type":"string","enum":["PRICE_SUBSCRIPTION"]},"WebSocketRequestPriceSubscription":{"title":"Price Subscription","type":"object","properties":{"markets":{"type":"array","items":{"$ref":"#/components/schemas/WebSocketPriceMarket"}}}},"WebSocketPriceMarket":{"title":"Price Subscription Item","type":"object","required":["currency"],"properties":{"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"symbol":{"type":"string","description":"Tokenized asset symbol"}}},"CurrencyEnum":{"title":"CurrencyEnum","type":"string","description":"Currency of the product's balance. Currency code in ISO 4217","enum":["EUR"]},"WebSocketResponse":{"title":"WebSocket Response","type":"object","required":["type"],"properties":{"type":{"$ref":"#/components/schemas/WebSocketResponseTypesEnum"},"prices":{"type":"array","items":{"$ref":"#/components/schemas/WebSocketResponsePrice"}},"error":{"type":"string"},"connectionId":{"type":"string"}}},"WebSocketResponseTypesEnum":{"title":"WebSocket Response Types","type":"string","enum":["ERROR","PRICES"]},"WebSocketResponsePrice":{"title":"Price","type":"object","required":["market","time","asks","bids"],"properties":{"market":{"$ref":"#/components/schemas/WebSocketPriceMarket"},"time":{"type":"string","format":"date-time"},"asks":{"type":"array","items":{"$ref":"#/components/schemas/WebSocketResponsePriceItem"}},"bids":{"type":"array","items":{"$ref":"#/components/schemas/WebSocketResponsePriceItem"}},"previous":{"type":"object","title":"Previous Price Item","properties":{"time":{"type":"string","format":"date-time"},"ask":{"$ref":"#/components/schemas/WebSocketResponsePriceItem"},"bid":{"$ref":"#/components/schemas/WebSocketResponsePriceItem"}},"required":["time","ask","bid"]}}},"WebSocketResponsePriceItem":{"title":"Price Item","type":"object","required":["price","quantity"],"properties":{"price":{"type":"string"},"quantity":{"type":"string"}}},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tradevest.ai/api-reference/websocket-tokenized-prices/websocket-tokenized-prices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
